doing backward compatibility correctly
[u/mrichter/AliRoot.git] / ACORDE / libACORDEsim.pkg
index 9fd7bbb5aec90d7438d6b493cc4287c1b4f4d133..167a61ed123885fdae93c5383b6514bcb7736b92 100644 (file)
@@ -1,6 +1,8 @@
-SRCS = AliACORDEv0.cxx AliACORDEhit.cxx AliACORDEdigit.cxx \
+#-*-Mode: Makefile-*-
+
+SRCS = AliACORDE.cxx AliACORDEv1.cxx AliACORDEhit.cxx \
        AliACORDEDigitizer.cxx AliACORDETrigger.cxx \
-       AliACORDERawData.cxx
+       AliACORDERawData.cxx 
 
 
 HDRS:= $(SRCS:.cxx=.h)
@@ -8,3 +10,9 @@ HDRS:= $(SRCS:.cxx=.h)
 
 DHDR:=ACORDEsimLinkDef.h
 
+ifeq (win32gcc,$(ALICE_TARGET))
+PACKSOFLAGS:= $(SOFLAGS) -L$(ALICE_ROOT)/lib/tgt_$(ALICE_TARGET) \
+                         -lACORDEbase -lACORDErec -lSTEER -lCDB -lSTEERBase \
+                         -lRAWDatabase \
+                         -L$(shell root-config --libdir) -lVMC -lGeom
+endif